get
https://{subdomain}.workable.com/spi/v3/candidates//files
Returns the files associated with the given candidate. Accessible with all token types.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Results
Calling the /candidates/:id/files endpoint returns a JSON array of the candidate's files found in the Files tab.
| key | description |
|---|---|
| files | array of files |
Each file has the following keys:
| key | type | description |
|---|---|---|
| name | string | The name of the file |
| preview_url | string | The URL to preview or download the file |
| kind | string | The kind of document. Only present for offer-related files |
| source | string | The source/type of the file |
File URL expiration
The file URLs returned by this endpoint are pre-signed Amazon S3 URLs and are temporary. Each URL includes an X-Amz-Expires parameter set to 60000, meaning the link expires 60,000 seconds (16 hours and 40 minutes) after it is generated.
Do not store or cache these URLs for long-term use. If you need to access a file after the URL has expired, make a new request to this endpoint to retrieve a fresh link.
